---

- name: wait before unseal to be sure all vault nodes are sync
  ansible.builtin.pause:
    seconds: 30

- name: unseal vault
  no_log: true
  kubernetes.core.k8s_exec:
    namespace: "{{ kubernetes_charts_vault_namespace }}"
    pod: vault-{{ vault_id }}
    command:
      vault operator
      unseal {{ kubernetes_charts_vault_options }} {{ unseal_key }}
    validate_certs: false
  loop: "{{ unseal_keys }}"
  loop_control:
    loop_var: unseal_key
